summaryrefslogtreecommitdiffstats
path: root/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
diff options
context:
space:
mode:
authorJorge Hernandez <jorge.hernandez-herrero@att.com>2019-06-21 15:12:53 +0000
committerGerrit Code Review <gerrit@onap.org>2019-06-21 15:12:53 +0000
commit9a812130f5b93d19fef71be4e56eb6ff550fc085 (patch)
treec1477a167240b96ef05e2d11b7717ad731d4649d /testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
parent5bfb9531fc9b7d4a6de7c959a361f76c4e2ec0d1 (diff)
parent110b8010a9363bd1f09c1ed67b2136ab68bdef6a (diff)
Merge "Create simple way to populate guard table"
Diffstat (limited to 'testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh')
-rw-r--r--testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh b/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
new file mode 100644
index 00000000..c1c95ee1
--- /dev/null
+++ b/testsuites/guard-testing-utils/mysql/scripts/populate_operationshistory.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+if [ $# -eq 1 ]; then
+ FILENAME="${1}"
+ SQL_FILE="../sql/${FILENAME}"
+
+ mysql -upolicy_user -ppolicy_user < "${SQL_FILE}"
+
+else
+ echo "Usage : populate_operationshistory.sh <Name of SQL file>"
+ echo "Example: populate_operationshistory.sh testsomesql.sql"
+ exit 1
+fi
+
+
+